
namespace OPP_Modeling
{
  /// <summary>
  /// Trida s pretizenym konstruktorem.
  /// Pokud je implementovan minimalne jeden konstruktor,
  /// pak nelze pouzit vychozi konstruktor.
  /// Pokud neni zadny, pak kompilator doplni vychozi bezparametrovy prazdny.
  /// </summary>
  public class BMW : Car
  {
    private int price;
  
    public BMW(string name)
    {
      this.Name = name;
    }

    /// <summary>
    /// Dedici konstruktor od bezparametroveho konstruktoru predka
    /// </summary>
    public BMW(string name, string manuf): base()
    {
      this.Name = name;
      this.Manufacturer = manuf;
    }
  }
}
