using System;

namespace events
{
  /// <summary>
  /// Pomocna trida pouzita v semaforu.
  /// </summary>
  internal class Light
  {
    private bool active = false;
    private ConsoleColor color = ConsoleColor.Yellow; //colors enumerator

    public ConsoleColor Color
    {
      get { return color; }
      set { color = value; }
    }


    public bool Active
    {
      get { return active; }
    }

    public void SwitchOn()
    {
      active = true;
    }

    public void SwitchOff()
    {
      active = false;
    }
  }
}
